libcoap 4.3.2rc2

Data Fields
coap_crypto_param_t Struct Reference
Libcoap Internal API » OSCORE Crypto Support

The common structure that holds the Crypto information. More...

`#include <coap_crypto_internal.h>`

## Data Fields
cose_alg_t | alg
| The COSE algorith to use. More...
union {
coap_crypto_aes_ccm_t aes
| Used if AES type encryption. More...
coap_crypto_key_t key
| The key to use. More...
} | params

## Detailed Description

The common structure that holds the Crypto information.

Definition at line 59 of file coap_crypto_internal.h.

## Field Documentation

## ◆ aes

coap_crypto_aes_ccm_t coap_crypto_param_t::aes

Used if AES type encryption.

Definition at line 62 of file coap_crypto_internal.h.

## ◆ alg

cose_alg_t coap_crypto_param_t::alg

The COSE algorith to use.

Definition at line 60 of file coap_crypto_internal.h.

## ◆ key

coap_crypto_key_t coap_crypto_param_t::key

The key to use.

Definition at line 63 of file coap_crypto_internal.h.

## ◆

union { ... } coap_crypto_param_t::params

The documentation for this struct was generated from the following file:

- coap_crypto_internal.h